# Add a file to the product

{% hint style="info" %}
Product, attribute, and file must already exist

value -  path to the file

The `MultimediaPath` scalar type represents a textual combination of `MultimediaFolderName`, and `MultimediaName` joined with '/' `Multimedia` identifier pointing to its exact location.

The path to the file can be found with this [query](https://docs.ergonode.com/v/graphql-api/query-examples/list-of-all-multimedia-in-stream).
{% endhint %}

```graphql
mutation {
  productAddAttributeValueTranslationsFile(input: {
    sku:"SKU77"
    attributeCode:"file_test"
    translations:{
      language:"pl_PL"
      value:"bike-1.jpg"
    }
  })
  {__typename}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ergonode.com/graphql/query-examples/add-a-file-to-the-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
